Bug 1023604 - [abrt] mate-panel-1.6.1-4.fc20: container_child_background_set: Process /usr/bin/mate-panel was killed by signal 11 (SIGSEGV)
[abrt] mate-panel-1.6.1-4.fc20: container_child_background_set: Process /usr/...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-panel (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
abrt_hash:f81ab060041f3cbb36daf54f6c8...
: Reopened
: 1082238 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 18:20 EDT by satellitgo
Modified: 2016-05-11 10:32 EDT (History)
49 users (show)

See Also:
Fixed In Version: mate-panel-1.6.2-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-05 21:38:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.74 KB, text/plain)
2013-10-25 18:20 EDT, satellitgo
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-25 18:20 EDT, satellitgo
no flags Details
File: core_backtrace (12.83 KB, text/plain)
2013-10-25 18:21 EDT, satellitgo
no flags Details
File: dso_list (8.89 KB, text/plain)
2013-10-25 18:21 EDT, satellitgo
no flags Details
File: environ (1.28 KB, text/plain)
2013-10-25 18:21 EDT, satellitgo
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-25 18:21 EDT, satellitgo
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-25 18:21 EDT, satellitgo
no flags Details
File: maps (46.83 KB, text/plain)
2013-10-25 18:21 EDT, satellitgo
no flags Details
File: open_fds (1.62 KB, text/plain)
2013-10-25 18:21 EDT, satellitgo
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2013-10-25 18:21 EDT, satellitgo
no flags Details
File: var_log_messages (331 bytes, text/plain)
2013-10-25 18:21 EDT, satellitgo
no flags Details

  None (edit)
Description satellitgo 2013-10-25 18:20:51 EDT
Description of problem:
DVD install of TC5 Beta x86_64 to HD of Mate with updates block unchecked in software sources
doing test and added 2nd user and logged in then got error.

Version-Release number of selected component:
mate-panel-1.6.1-4.fc20

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        mate-panel
crash_function: container_child_background_set
executable:     /usr/bin/mate-panel
kernel:         3.11.5-302.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #1 container_child_background_set at mate-panel-applet-frame-dbus.c:240
 #2 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #3 set_applet_property_cb at mate-panel-applet-container.c:556
 #4 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #5 g_dbus_connection_call_done at gdbusconnection.c:5484
 #6 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #7 complete_in_idle_cb at gsimpleasyncresult.c:789
 #12 gtk_main at gtkmain.c:1257
Comment 1 satellitgo 2013-10-25 18:20:55 EDT
Created attachment 816286 [details]
File: backtrace
Comment 2 satellitgo 2013-10-25 18:20:58 EDT
Created attachment 816287 [details]
File: cgroup
Comment 3 satellitgo 2013-10-25 18:21:02 EDT
Created attachment 816288 [details]
File: core_backtrace
Comment 4 satellitgo 2013-10-25 18:21:05 EDT
Created attachment 816289 [details]
File: dso_list
Comment 5 satellitgo 2013-10-25 18:21:08 EDT
Created attachment 816290 [details]
File: environ
Comment 6 satellitgo 2013-10-25 18:21:11 EDT
Created attachment 816291 [details]
File: exploitable
Comment 7 satellitgo 2013-10-25 18:21:14 EDT
Created attachment 816292 [details]
File: limits
Comment 8 satellitgo 2013-10-25 18:21:17 EDT
Created attachment 816293 [details]
File: maps
Comment 9 satellitgo 2013-10-25 18:21:20 EDT
Created attachment 816294 [details]
File: open_fds
Comment 10 satellitgo 2013-10-25 18:21:23 EDT
Created attachment 816295 [details]
File: proc_pid_status
Comment 11 satellitgo 2013-10-25 18:21:27 EDT
Created attachment 816296 [details]
File: var_log_messages
Comment 12 Wolfgang Ulbrich 2013-10-25 20:06:10 EDT
(In reply to satellit from comment #0)
> Description of problem:
> DVD install of TC5 Beta x86_64 to HD of Mate with updates block unchecked in
> software sources
> doing test and added 2nd user and logged in then got error.
Did mate-panel crash or is only abrt unhappy?
Comment 13 satellitgo 2013-10-25 21:50:40 EDT
Mate kept running so I guess abrt saw some problem....
Comment 14 Wolfgang Ulbrich 2013-10-26 06:31:25 EDT
I can't confirm this for the moment after a installation, let us see if this happens with beta or release iso's too, but feel free to post here if the problem occurs more frequently.
Comment 15 Dan Mashal 2013-10-29 17:07:54 EDT
I have seen mate-panel crash on login before. I think this is an actual bug in mate-panel, but im not 100% sure.
Comment 16 clemmons.w0 2013-11-21 13:12:24 EST
Altered bottom panel properties to autohide.
Was tinkering with cairo-dock setup then logged out and returned to the abrt notification that the panel had crashed.
Fedora 20 Mate 
mate-panel-1.6.1-4.fc20

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        mate-panel
crash_function: container_child_background_set
executable:     /usr/bin/mate-panel
kernel:         3.11.8-300.fc20.x86_64
package:        mate-panel-1.6.1-4.fc20
reason:         Process /usr/bin/mate-panel was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 pgaltieri 2013-12-02 01:54:00 EST
It occurred after login to system.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        mate-panel --sm-client-id 10d4ecfe89e614dee8138552624949120200000011640027
crash_function: container_child_background_set
executable:     /usr/bin/mate-panel
kernel:         3.11.9-300.fc20.x86_64
package:        mate-panel-1.6.1-4.fc20
reason:         Process /usr/bin/mate-panel was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Mo 2013-12-21 03:47:43 EST
Another user experienced a similar problem:

close mate seans, login xfce without reboot

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        mate-panel
crash_function: container_child_background_set
executable:     /usr/bin/mate-panel
kernel:         3.11.10-301.mo.fc20.R.x86_64
package:        mate-panel-1.6.1-4.fc20
reason:         mate-panel killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Wolfgang Ulbrich 2014-02-23 15:58:52 EST
(In reply to Dan Mashal from comment #15)
> I have seen mate-panel crash on login before. I think this is an actual bug
> in mate-panel, but im not 100% sure.

Pls forward the issue to upstream, i don't wanna be the asshole who do this everytime in their eyes ;)
Comment 20 Wolfgang Ulbrich 2014-03-29 13:49:21 EDT
*** Bug 1082238 has been marked as a duplicate of this bug. ***
Comment 21 Igor 2014-04-21 03:06:11 EDT
Another user experienced a similar problem:

Error from first start after update

reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        mate-panel
crash_function: container_child_background_set
executable:     /usr/bin/mate-panel
kernel:         3.13.8-200.fc20.x86_64
package:        mate-panel-1.6.2-1.fc20
reason:         mate-panel killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 22 Ian Pilcher 2014-05-27 19:17:53 EDT
I use KDE when I'm at my workstation, but I use MATE via VNC when access it remotely.  I see this abrt warning pretty much every time that I first log in to KDE after returning home (assuming that I've used MATE remotely while away).
Comment 23 Daniel Krämer 2014-06-03 05:42:24 EDT
Another user experienced a similar problem:

I made an update via yum today and after that i rebooted my system. This error just appeard after login.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        mate-panel
crash_function: container_child_background_set
executable:     /usr/bin/mate-panel
kernel:         3.14.4-200.fc20.x86_64
package:        mate-panel-1.6.2-1.fc20
reason:         mate-panel killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 24 dgardatl 2014-06-14 08:24:11 EDT
I just installed Cinnamon desktop via the Mate terminal using yum groupinstall cinnamon.  Once it finished the install I logged out of Mate and logged in on Cinnamon.  I got the error when I got logged into the Cinnamon desktop when it loaded.  Hope this helps.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        mate-panel
crash_function: container_child_background_set
executable:     /usr/bin/mate-panel
kernel:         3.11.10-301.fc20.x86_64
package:        mate-panel-1.6.2-1.fc20
reason:         Process /usr/bin/mate-panel was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 25 Gerhard 2014-06-20 08:09:17 EDT
Another user experienced a similar problem:

Just started Mate-Session.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        mate-panel
crash_function: container_child_background_set
executable:     /usr/bin/mate-panel
kernel:         3.14.7-200.fc20.x86_64
package:        mate-panel-1.6.2-1.fc20
reason:         mate-panel killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 26 Wolfgang Ulbrich 2014-06-21 12:32:51 EDT
forward to upstream
https://github.com/mate-desktop/mate-panel/issues/214
Comment 27 François Blais 2014-06-25 10:04:33 EDT
Another user experienced a similar problem:

I was just booting into fedora 20! (MATE)

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        mate-panel
crash_function: container_child_background_set
executable:     /usr/bin/mate-panel
kernel:         3.14.8-200.fc20.x86_64
package:        mate-panel-1.6.2-1.fc20
reason:         mate-panel killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 28 Fedora Update System 2014-06-25 15:37:33 EDT
mate-panel-1.6.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-panel-1.6.2-2.fc20
Comment 29 Fedora Update System 2014-06-25 15:37:45 EDT
mate-panel-1.6.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-panel-1.6.2-2.fc19
Comment 30 Wolfgang Ulbrich 2014-06-25 16:37:09 EDT
Hey Guys,
it would be nice if someone could test this update.
Here on my system i don't see the issue if i login to a new created account.
Thank you
Comment 31 François Blais 2014-06-25 20:48:09 EDT
Patch fc20 seems to work fine here, thanks!
Comment 32 Fedora Update System 2014-06-26 22:21:58 EDT
Package mate-panel-1.6.2-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-panel-1.6.2-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7767/mate-panel-1.6.2-2.fc19
then log in and leave karma (feedback).
Comment 33 Gerhard 2014-07-02 16:52:49 EDT
Another user experienced a similar problem:

Started mate session.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        mate-panel
crash_function: container_child_background_set
executable:     /usr/bin/mate-panel
kernel:         3.14.9-200.fc20.x86_64
package:        mate-panel-1.6.2-2.fc20
reason:         mate-panel killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 34 Fedora Update System 2014-07-05 10:54:29 EDT
mate-panel-1.6.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2014-07-05 10:57:05 EDT
mate-panel-1.6.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 36 Patrick Monnerat 2014-08-07 05:54:53 EDT
Still occurring here randomly just after login in a xinetd VNC session.
mate-panel-1.6.2-2.fc20.x86_64
Please reopen. Thanks.
Comment 38 Wolfgang Ulbrich 2014-08-26 16:14:22 EDT
*** Bug 1132298 has been marked as a duplicate of this bug. ***
Comment 39 Donald Edward Winslow 2014-08-26 23:33:56 EDT
I logged into Mate this evening and at first the panels didn't load. I thought I might have to recreate them, but then they appeared. There was no network connection. Everything was moving slow, maybe because ABRT was running. ABRT didn't come up until I was logged into another user account (my son's account; he's three, so I try to keep him a confined process). I could not authenticate to submit the report from that account, so I logged back into my account and tried to submit the report from there. ABRT said it had already been reported and directed me to this bug. I'm running mate-panel-1.8.0-4.fc20.x86_64. I don't use vnc.
Comment 40 Patrick Monnerat 2014-09-02 04:25:26 EDT
Still occurring with 1.8.0-4. I left the same comment at https://github.com/mate-desktop/mate-panel/issues/214.
Comment 41 Patrick Monnerat 2014-09-02 04:28:35 EDT
(continued) However I'm not sure it happens at session start time. It is reported (the beacon) at this time, but I think it happened at previous session end time. Not sure, but quite confident in this diagnostic.
Comment 42 Fedora Update System 2014-11-28 19:04:26 EST
mate-panel-1.8.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mate-panel-1.8.1-2.fc21
Comment 43 Fedora Update System 2014-11-28 19:04:38 EST
mate-panel-1.8.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-panel-1.8.1-2.fc20
Comment 44 Fedora Update System 2014-11-28 19:04:47 EST
mate-panel-1.6.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-panel-1.6.2-3.fc19
Comment 45 Fedora Update System 2014-11-29 16:00:22 EST
Package mate-panel-1.8.1-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-panel-1.8.1-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15959/mate-panel-1.8.1-2.fc21
then log in and leave karma (feedback).
Comment 46 Fedora Update System 2014-12-01 09:54:41 EST
mate-panel-1.8.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-panel-1.8.1-3.fc20
Comment 47 Fedora Update System 2014-12-05 21:38:22 EST
mate-panel-1.8.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 48 Fedora Update System 2014-12-06 05:07:38 EST
mate-panel-1.8.1-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 49 Fedora Update System 2014-12-11 23:10:36 EST
mate-panel-1.6.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 50 Patrick Monnerat 2015-03-31 04:26:03 EDT
This bug restarted to occur with mate-panel-1.8.1-4.fc20.x86_64 :-(
Comment 51 Wolfgang Ulbrich 2016-05-11 10:32:11 EDT
New attempt from upstream to fix this issue.
Scratch build for all branches please test, as upstream and me couldn't reproduce the issue you help is needed.
f24
http://koji.fedoraproject.org/koji/taskinfo?taskID=14010315
f23
http://koji.fedoraproject.org/koji/taskinfo?taskID=14010343
f22
http://koji.fedoraproject.org/koji/taskinfo?taskID=14010355
epel7
http://koji.fedoraproject.org/koji/taskinfo?taskID=14010361

Note You need to log in before you can comment on or make changes to this bug.